Subject: Re: bug#53744: 27.2; [debbugs] soap-client.el: `string-search' (void function?)

From: Thomas Fitzsimmons <[email-masked]>
Date: Thu, 03 Feb 2022 09:48:53 -0500

Hi Michael, Mattias,

Michael Albinus <[email-masked]> writes:

> Mattias Engdegård <[email-masked]> writes:
>
> Hi Mattias,
>
>>> soap-client.el is used also for older Emacsen via GNU ELPA.
>>
>> Thanks you, that file has now been changed not to use `string-search`
>> or `string-replace`.

Yes, thanks for fixing this Mattias.

> Perhaps it needs also a new version in order to be visible on GNU
> ELPA, don't know. Thomas might know.

As I remember, jump bumping the version of a core ELPA package on
emacs.git's master branch will result in it being updated in the
archive.  I've done a minor version bump, so we'll see if 3.2.1 appears
in "list-packages" within 24 hours.

>> Emacs is becoming a mine-field with all these core packages. In
>> particular, soap-client does not advertise its required Emacs
>> version in the Package-Requires: line. What Emacs version would be
>> the appropriate minimum?
>> Without knowing that, it's difficult to ensure that the package works
>> for the intended configurations.
>
> Yes. debbugs requires (emacs "25.1"), I would appreciate if
> soap-client could do the same.

Done, added (emacs "24.1") to Package-Requires.  Excorporate 1.0.0,
which uses most of soap-client's features, works back to Emacs 24.1.

Thomas